Bug 125226 - Perl not working correctly, causes segmentation fault
Perl not working correctly, causes segmentation fault
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-06-03 14:48 EDT by Flavio Cardone
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-09 00:34:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The env output (1.61 KB, text/plain)
2004-06-08 03:47 EDT, Flavio Cardone
no flags Details
The 'perl5.8.3 Makefile.PL' output (632.46 KB, text/plain)
2004-06-08 03:52 EDT, Flavio Cardone
no flags Details
The 'perl Makefile.PL' output (72.64 KB, text/plain)
2004-06-08 04:01 EDT, Flavio Cardone
no flags Details

  None (edit)
Description Flavio Cardone 2004-06-03 14:48:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
After installing FC2, perl is no longer working correctly. It always
reports a segmentation fault when running ANY Makefile.PL - problem
persisted even after removing perl and reinstalling the RPM. Same
after removing the RPM and reinstalling perl from source.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. untar any perl tarball
2. perl Makefile.PL

Actual Results:  segmentation fault

Expected Results:  proper handling of the Makefile

Additional info:
Comment 1 Chip Turner 2004-06-07 10:48:21 EDT
I can't reproduce this.  Can you send the output of:

'strace -f perl Makefile.pl'

as well as the output of

Comment 2 Flavio Cardone 2004-06-08 03:44:00 EDT
I am attaching here the files you requested. I also found out that I
have two Perl binaries - "perl" and "perl5.8.3".

Using 'perl5.8.3 Makefile.PL' processes the Makefile correctly
Using 'perl Makefile.PL' does not

What is IMHO strange is that the 'perl' binary is a copy of the
'perl5.8.3' binary and yet it behaves differently

However, when running perl programs, with '/usr/bin/perl' as the
location of the perl binary, perl programs work OK.

For some reason 'perl' cannot process Makefile.PL's, while 'perl5.8.3'
can - and they are exactly the same programs.

Tried making a symbolic link called 'perl' to 'perl5.8.3' - also
didn't work.

output of 'env' is called env.txt ;-)
output of 'perl Makefile.PL' is called badperl.txt
output of 'perl5.8.3 Makefile.PL' is called goodperl.txt
Comment 3 Flavio Cardone 2004-06-08 03:47:34 EDT
Created attachment 100954 [details]
The env output
Comment 4 Flavio Cardone 2004-06-08 03:52:51 EDT
Created attachment 100955 [details]
The 'perl5.8.3 Makefile.PL' output
Comment 5 Flavio Cardone 2004-06-08 04:01:08 EDT
Created attachment 100956 [details]
The 'perl Makefile.PL' output
Comment 6 Chip Turner 2004-06-09 00:34:50 EDT
Look closer at your strace of 'perl Makefile.PL' -- you have a perl in
/usr/local.  The Red Hat perl lives in /usr, not /usr/local, so
someone has put another perl on your box and it is interfering with
the Red Hat perl.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.